Summary:        MPEG-2 decoder libraries
Name:           libmpeg2
Version:        0.5.1
Release:        4%{?dist}
License:        GPLv2+
URL:            http://libmpeg2.sourceforge.net
Source0:        %{url}/files/libmpeg2-%{version}.tar.gz
Patch3000:      libmpeg2-inline.patch

BuildRequires:  make gcc
BuildRequires:  automake libtool
BuildRequires:  SDL-devel libXt-devel libXv-devel

%description
This package provides a free library for decoding mpeg-2 and mpeg-1 video streams.

%package -n     mpeg2dec
Summary:        MPEG-2 decoder program
Requires:       %{name} = %{version}-%{release}

%description -n mpeg2dec
This package provides libraries and header files for developing applications that use %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing applications that use %{name}.

%prep
%autosetup -p1

%build
autoreconf -fiv

iconv -f ISO-8859-1 -t UTF-8 AUTHORS > AUTHORS.tmp
touch -r AUTHORS AUTHORS.tmp 
cp -p -f AUTHORS.tmp AUTHORS
rm AUTHORS.tmp

# disable the ppc altivec case
sed -i -e 's/ppc-/noppc64-/' configure.ac configure
sed -i -e 's/powerpc-/nopowerpc64-/' configure.ac configure

%configure --disable-static \
%ifarch ppc
  --disable-accel-detect \
%endif

# remove rpath of mpeg2dec from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build OPT_CFLAGS="" 

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# fix bug of datatype internal definitions
install -pm 0644 libmpeg2/mpeg2_internal.h %{buildroot}%{_includedir}/mpeg2dec/

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%{_libdir}/*.so.*

%files -n mpeg2dec
%{_bindir}/corrupt_mpeg2
%{_bindir}/extract_mpeg2
%{_bindir}/mpeg2dec
%{_mandir}/man1/*.1*

%files devel
%doc CodingStyle doc/libmpeg2.txt doc/sample*.c
%{_includedir}/mpeg2dec/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libmpeg2.pc
%{_libdir}/pkgconfig/libmpeg2convert.pc

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 Wang Guodong <gordonwwang@tencent.com> - 0.5.1-1
- package init.
